Bug 1120906

Summary: Traceback when running imageinfo command
Product: [Fedora] Fedora Reporter: Steve Grubb <sgrubb>
Component: python-volatilityAssignee: David Blechter <dblechte>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: dblechte
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-29 21:37:53 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Steve Grubb 2014-07-18 01:06:12 UTC
Description of problem:
Traceback when running imageinfo command

vol -f /media/mem imageinfo
Volatility Foundation Volatility Framework 2.3.1
Determining profile based on KDBG search...

          Suggested Profile(s) : No suggestion (Instantiated with Linuxrh-2_6_32-220_el6_x86_64x64)
                     AS Layer1 : FileAddressSpace (/media/mem)
                      PAE type : No PAE
                           DTB : 0x1a85000L
Traceback (most recent call last):
  File "/bin/vol", line 184, in <module>
    main()
  File "/bin/vol", line 175, in main
    command.execute()
  File "/usr/lib/python2.7/site-packages/volatility/commands.py", line 122, in execute
    func(outfd, data)
  File "/usr/lib/python2.7/site-packages/volatility/plugins/imageinfo.py", line 36, in render_text
    for k, v in data:
  File "/usr/lib/python2.7/site-packages/volatility/plugins/imageinfo.py", line 93, in calculate
    kdbgoffset = volmagic.KDBG.v()
  File "/usr/lib/python2.7/site-packages/volatility/obj.py", line 737, in __getattr__
    return self.m(attr)
  File "/usr/lib/python2.7/site-packages/volatility/obj.py", line 719, in m
    raise AttributeError("Struct {0} has no member {1}".format(self.obj_name, attr))
AttributeError: Struct VOLATILITY_MAGIC has no member KDBG

Comment 1 Alon Levy 2014-07-21 11:23:30 UTC
Can you check with upstream version and if so report there? do you have an image for which this happens available? Not trying to pester, I just don't immediately see the error, too much indirection.

Comment 3 Fedora End Of Life 2015-05-29 12:24:08 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 21:37:53 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.